%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                     Namira                         %
%                  www.nn4e.com                      %
%                  nn4e@aol.com                      %
%                   09360703858                      %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

load wind x y z u v w
% بارگذاري ديتاي اوليه براي باد


spd = sqrt(u.*u + v.*v + w.*w);
% محاسبه سرعت


figure
% پنجره فيگور يا خروجي


p = patch(isosurface(x, y, z, spd, 40));
isonormals(x, y, z, spd, p)
set(p, 'FaceColor', 'red', 'EdgeColor', 'none')
% ساخت يک سطح ايزو


p2 = patch(isocaps(x, y, z, spd, 40));
set(p2, 'FaceColor', 'interp', 'EdgeColor', 'none')
% ساخت دهانه انتهايي براي سطح ايزو


daspect([1 1 1])
% تنظيم نسبت ابعاد


[f, verts] = reducepatch(isosurface(x, y, z, spd, 30), .2);
% پچ براي نمونه پايين سطح ايزو - منظور حدپايين است



h = coneplot(x, y, z, u, v, w, verts(:, 1), verts(:, 2), verts(:, 3), 2);
set(h, 'FaceColor', 'cyan', 'EdgeColor', 'none')
% ساخت مخروط سرعت



[sx, sy, sz] = meshgrid(80, 20:10:50, 0:5:15);
h2 = streamline(x, y, z, u, v, w, sx, sy, sz);
set(h2, 'Color', [.4 1 .4])
% ايجاد خط جريان در سطح


colormap(jet)
box on
axis tight
camproj perspective
camva(34)
campos([165 -20 65])
camtarget([100 40 -5])
camlight left
lighting gouraud
% تنظيمات نقشه رنگي خروجي و تنظيمات محور

% موفق باشيد